* {
    font-family: sans-serif;
}

body {
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
    background-color: #fafafc;
    color: #777;
    display: flex;
    justify-content: center;
    align-items: center;
}

.center-img {
    display: block;
    margin: 0 auto;
    width: 100px;
    height: 100px;
}

p {
    font-weight: 200;
    font-size: 14px;
}

.app {
    width: 80vw;
    max-width: 600px;
    height: 80vh;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.search-result {
    margin-top: 10px;
    overflow-y: auto;
    /* Use overflow-y instead of scroll */
    flex-grow: 1;
    width: 100%;
}

.surprise {
    background-color: #ececf1;
    color: #000;
    border-radius: 5px;
    font-weight: 600;
    padding: 4px 12px;
    margin: 0 0 2px 5px;
    border: none;
}

.input-container {
    width: 100%;
    height: 50px;
    display: flex;
    border: solid 0.5px #cacaca;
    box-sizing: border-box;
    border-radius: 6px;
    box-shadow: rgba(0, 0, 82, 0.15) 0 2px 4px;
    overflow: -moz-hidden-unscrollable;
    align-items: center;
}

.input-container input {
    height: 100%;
    width: 100%;
    border: none;
    padding: 13px 14px;
    box-sizing: border-box;
    font-size: 15px;
    outline: none;
}

.input-container input::placeholder {
    color: #cacaca;
    font-weight: 200;
}

.input-container button {
    min-width: 10%;
    border: none;
    border-left: 1px solid #cacaca;
    background-color: #fff;
    color: #777;
    font-weight: bold;
    cursor: pointer;
    height: 100%;
    /* Ensure button height matches container height */
}

.input-container button:active {
    background-color: #cacaca;
}

.answer {
    padding: 13px 14px;
    border: solid 0.5px #cacaca;
    background-color: #fff;
    margin: 5px;
    font-size: 15px;
    font-weight: 200;
    border-radius: 6px;
}

/* These rules make bold text within .answer appear correctly */
.answer strong,
.answer b {
    font-weight: bold;  /* Or 700 for a numeric value */
}